Bug 178587 - www/py-formencode: Update to version 1.2.6
Summary: www/py-formencode: Update to version 1.2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-13 19:10 UTC by tkato432
Modified: 2013-05-21 07:34 UTC (History)
0 users

See Also:


Attachments
file.diff (5.04 KB, patch)
2013-05-13 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-05-13 18:55:49 UTC
>Number:         178587
>Category:       ports
>Synopsis:       www/py-formencode: Update to version 1.2.6
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Mon May 13 18:10:05 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     KATO Tsuguru
>Release:        FreeBSD 7.4-RELEASE-p11 i386
>Organization:
>Environment:
>Description:
- Update to version 1.2.6

>How-To-Repeat:
>Fix:

diff -urN /usr/ports/www/py-formencode/Makefile www/py-formencode/Makefile
--- /usr/ports/www/py-formencode/Makefile	2013-04-25 05:21:01.000000000 +0900
+++ www/py-formencode/Makefile	2013-05-14 00:00:49.000000000 +0900
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	py-formencode
-# Date created:		2005-11-16
-# Whom:			Choe, Cheng-Dae
-#
+# Created by: Choe, Cheng-Dae
 # $FreeBSD: head/www/py-formencode/Makefile 316464 2013-04-24 18:10:30Z ak $
-#
 
 PORTNAME=	formencode
-PORTVERSION=	1.2.4
+PORTVERSION=	1.2.6
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -15,20 +11,25 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	HTML form validation, generation, and conversion package
 
-USE_PYTHON=		-2.7
-USE_PYDISTUTILS=	easy_install
-USES=		gettext
+LICENSE=	PSFL
+
+OPTIONS_DEFINE=	DOCS
 
+USE_ZIP=	yes
+USES=		gettext:run
+USE_PYTHON=	-2.7
+USE_PYDISTUTILS=	easy_install
 PYDISTUTILS_PKGNAME=	FormEncode
 
 DOCSDIR=	${PREFIX}/share/doc/py-${PORTNAME}
-EXAMPLESDIR=	${PREFIX}/share/examples/py-${PORTNAME}
 
 PORTDOCS=	*
 
+.include <bsd.port.options.mk>
+
 post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
 	@(cd ${WRKSRC}/docs/ && ${COPYTREE_SHARE} . ${DOCSDIR})
 .endif
 
diff -urN /usr/ports/www/py-formencode/distinfo www/py-formencode/distinfo
--- /usr/ports/www/py-formencode/distinfo	2012-11-08 10:43:25.000000000 +0900
+++ www/py-formencode/distinfo	2013-05-14 00:00:49.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (FormEncode-1.2.4.tar.gz) = 8270840ee832055463b3d3328f8ae4b881e1fbe84353c97af1d913df3401feb9
-SIZE (FormEncode-1.2.4.tar.gz) = 240034
+SHA256 (FormEncode-1.2.6.zip) = 70fc1d2cf8022b1cc7fcebb5d87cc984dde799e587f05c0a0fe509b374221b0c
+SIZE (FormEncode-1.2.6.zip) = 318441
diff -urN /usr/ports/www/py-formencode/pkg-plist www/py-formencode/pkg-plist
--- /usr/ports/www/py-formencode/pkg-plist	2012-11-08 10:43:25.000000000 +0900
+++ www/py-formencode/pkg-plist	2013-05-14 00:00:49.000000000 +0900
@@ -21,6 +21,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/doctest_xml_compare.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/doctest_xml_compare.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/doctest_xml_compare.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/exc.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/exc.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/exc.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/fieldstorage.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/fieldstorage.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/fieldstorage.pyo
@@ -56,14 +59,10 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/fr/LC_MESSAGES/FormEncode.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/it/LC_MESSAGES/FormEncode.mo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/it/LC_MESSAGES/FormEncode.po
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/lt/LC_MESSAGES/FormEncode.mo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/lt/LC_MESSAGES/FormEncode.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/ja/LC_MESSAGES/FormEncode.mo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/ja/LC_MESSAGES/FormEncode.po
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/tr/LC_MESSAGES/FormEncode.mo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/tr/LC_MESSAGES/FormEncode.po
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/zh_TW/LC_MESSAGES/FormEncode.mo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/zh_TW/LC_MESSAGES/FormEncode.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/lt/LC_MESSAGES/FormEncode.mo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/lt/LC_MESSAGES/FormEncode.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/msgfmt.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/msgfmt.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/msgfmt.pyo
@@ -83,8 +82,12 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/sk/LC_MESSAGES/FormEncode.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/sl/LC_MESSAGES/FormEncode.mo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/sl/LC_MESSAGES/FormEncode.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/tr/LC_MESSAGES/FormEncode.mo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/tr/LC_MESSAGES/FormEncode.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/zh_CN/LC_MESSAGES/FormEncode.mo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/zh_CN/LC_MESSAGES/FormEncode.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/zh_TW/LC_MESSAGES/FormEncode.mo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/zh_TW/LC_MESSAGES/FormEncode.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/interfaces.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/interfaces.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/interfaces.pyo
>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 tkato432 2013-05-13 19:10:05 UTC
- Update to version 1.2.6
Comment 2 Edwin Groothuis freebsd_committer 2013-05-13 19:11:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 3 dfilter service freebsd_committer 2013-05-20 09:55:42 UTC
Author: miwi
Date: Mon May 20 08:55:29 2013
New Revision: 318585
URL: http://svnweb.freebsd.org/changeset/ports/318585

Log:
  - Update to 1.2.6
  - Add License
  - Trim header
  - OptionNG
  
  PR:		178587
  Submitted by:	Ports Fury

Modified:
  head/www/py-formencode/Makefile
  head/www/py-formencode/distinfo   (contents, props changed)
  head/www/py-formencode/pkg-plist   (contents, props changed)

Modified: head/www/py-formencode/Makefile
==============================================================================
--- head/www/py-formencode/Makefile	Mon May 20 08:52:23 2013	(r318584)
+++ head/www/py-formencode/Makefile	Mon May 20 08:55:29 2013	(r318585)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	py-formencode
-# Date created:		2005-11-16
-# Whom:			Choe, Cheng-Dae
-#
+# Created by: Choe, Cheng-Dae
 # $FreeBSD$
-#
 
 PORTNAME=	formencode
-PORTVERSION=	1.2.4
+PORTVERSION=	1.2.6
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -15,20 +11,25 @@ DISTNAME=	FormEncode-${PORTVERSION}
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	HTML form validation, generation, and conversion package
 
-USE_PYTHON=		-2.7
-USE_PYDISTUTILS=	easy_install
-USES=		gettext
+LICENSE=	PSFL
+
+OPTIONS_DEFINE=	DOCS
 
+USE_ZIP=	yes
+USES=		gettext:run
+USE_PYTHON=	-2.7
+USE_PYDISTUTILS=	easy_install
 PYDISTUTILS_PKGNAME=	FormEncode
 
 DOCSDIR=	${PREFIX}/share/doc/py-${PORTNAME}
-EXAMPLESDIR=	${PREFIX}/share/examples/py-${PORTNAME}
 
 PORTDOCS=	*
 
+.include <bsd.port.options.mk>
+
 post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
 	@(cd ${WRKSRC}/docs/ && ${COPYTREE_SHARE} . ${DOCSDIR})
 .endif
 

Modified: head/www/py-formencode/distinfo
==============================================================================
--- head/www/py-formencode/distinfo	Mon May 20 08:52:23 2013	(r318584)
+++ head/www/py-formencode/distinfo	Mon May 20 08:55:29 2013	(r318585)
@@ -1,2 +1,2 @@
-SHA256 (FormEncode-1.2.4.tar.gz) = 8270840ee832055463b3d3328f8ae4b881e1fbe84353c97af1d913df3401feb9
-SIZE (FormEncode-1.2.4.tar.gz) = 240034
+SHA256 (FormEncode-1.2.6.zip) = 70fc1d2cf8022b1cc7fcebb5d87cc984dde799e587f05c0a0fe509b374221b0c
+SIZE (FormEncode-1.2.6.zip) = 318441

Modified: head/www/py-formencode/pkg-plist
==============================================================================
--- head/www/py-formencode/pkg-plist	Mon May 20 08:52:23 2013	(r318584)
+++ head/www/py-formencode/pkg-plist	Mon May 20 08:55:29 2013	(r318585)
@@ -21,6 +21,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/doctest_xml_compare.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/doctest_xml_compare.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/doctest_xml_compare.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/exc.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/exc.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/exc.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/fieldstorage.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/fieldstorage.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/fieldstorage.pyo
@@ -56,14 +59,10 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/fr/LC_MESSAGES/FormEncode.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/it/LC_MESSAGES/FormEncode.mo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/it/LC_MESSAGES/FormEncode.po
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/lt/LC_MESSAGES/FormEncode.mo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/lt/LC_MESSAGES/FormEncode.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/ja/LC_MESSAGES/FormEncode.mo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/ja/LC_MESSAGES/FormEncode.po
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/tr/LC_MESSAGES/FormEncode.mo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/tr/LC_MESSAGES/FormEncode.po
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/zh_TW/LC_MESSAGES/FormEncode.mo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/zh_TW/LC_MESSAGES/FormEncode.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/lt/LC_MESSAGES/FormEncode.mo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/lt/LC_MESSAGES/FormEncode.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/msgfmt.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/msgfmt.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/msgfmt.pyo
@@ -83,8 +82,12 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/sk/LC_MESSAGES/FormEncode.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/sl/LC_MESSAGES/FormEncode.mo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/sl/LC_MESSAGES/FormEncode.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/tr/LC_MESSAGES/FormEncode.mo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/tr/LC_MESSAGES/FormEncode.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/zh_CN/LC_MESSAGES/FormEncode.mo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/zh_CN/LC_MESSAGES/FormEncode.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/zh_TW/LC_MESSAGES/FormEncode.mo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/i18n/zh_TW/LC_MESSAGES/FormEncode.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/interfaces.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/interfaces.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/formencode/interfaces.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2013-05-21 07:34:39 UTC
State Changed
From-To: open->closed

Committed. Thanks!